import subprocess
import sys
from qtpy.QtWidgets import QFrame, QTableWidgetItem, QTableWidget, QMessageBox, QDialog, QDesktopWidget, QHeaderView, \
    QProgressDialog
from qtpy.QtGui import QCloseEvent
from qtpy.QtCore import Signal, Qt, QUrl, QPropertyAnimation
from pyminer2.ui.base.pm_marketplace.main import Ui_Form as marketplace_Ui_Form

from pmgwidgets import PMGOneShotThreadRunner


class MarketplaceForm(QDialog, marketplace_Ui_Form):
    def __init__(self, parent=None):
        super(MarketplaceForm, self).__init__(parent)
        self.setupUi(self)
